# base controller for CMS controllers

module Integrator
  class CmsController < ActionController::Base
    layout 'integrator/layouts/cms'

    before_action :authenticate_integrator_user!

    protect_from_forgery

    respond_to :html
    responders :flash, :http_cache

    private

    def current_ability
      @current_ability ||= Integrator::Ability.new(current_integrator_user)
    end
  end
end
