module Integrator
  module Devise
    class FailureApp < ::Devise::FailureApp
      include ::Integrator::Engine.routes.url_helpers

      def redirect_url
        User.any? ? login_path : signup_path
      end

      def respond
        if http_auth?
          http_auth
        else
          redirect
        end
      end
    end
  end
end
