module Integrator
  class Devise::Mailer < ApplicationMailer
    include ::Devise::Mailers::Helpers
    default template_path: 'integrator/devise/mailer'

    def reset_password_instructions(record, token, opts={})
      @token = token
      devise_mail(record, :reset_password_instructions, opts)
    end

    def password_change(record, opts={})
      devise_mail(record, :password_change, opts)
    end
  end
end
