module Integrator
  class User < ApplicationRecord
    devise :database_authenticatable, :registerable, :recoverable, :rememberable, :validatable
    as_enum :role, [ :admin, :manager, :seo ], map: :string, source: :role
    default_scope { order('created_at ASC') }

  end
end
